Subject: [bug#42516] [PATCH] doc: Extend tlp-service-type example.

From: Marius Bakke <[email-masked]>
Date: Sat, 25 Jul 2020 19:21:10 +0200

Brett Gilio <[email-masked]> writes:

> Tobias Geerinckx-Rice <[email-masked]> writes:
>
>>  @deffn {Scheme Variable} tlp-service-type
>> -The service type for the TLP tool.  Its value should be a valid
>> -TLP configuration (see below).  To use the default settings, simply
>> -write:
>> +The service type for the TLP tool.  The default settings are optimised
>> +for battery life on most systems, but you can tweak them to your heart's
>> +content by passing a valid @code{tlp-configuration} as its value:
>>  @lisp
>> -(service tlp-service-type)
>> +(service tlp-service-type
>> +         (tlp-configuration
>> +          (cpu-scaling-governor-on-ac (list "performance"))
>> +          (sched-powersave-on-bat? #t)))
>>  @end lisp
>>  @end deffn
>>  
>> -By default TLP does not need much configuration but most TLP parameters
>> -can be tweaked using @code{tlp-configuration}.
>> -
>>  Each parameter definition is preceded by its type; for example,
>>  @samp{boolean foo} indicates that the @code{foo} parameter
>>  should be specified as a boolean.  Types starting with
>
> I would replace "as its value:" with "to the service type:", so it reads
> "... but you can tweak them to your heart's content by passing a valid
> tlp-configuration to the service type:"

Something about "tweak to your heart's content" rubs me the wrong way,
though I can't really explain why.  It feels like the manual is
passive-aggressively mocking me for trying to understand how to
configure the thing.  But that's probably just me.  :-)